package com.bocloud.cmp.provider.kubernetes;

import com.bocloud.cmp.model.kubernetes.DaemonSetModel;
import com.bocloud.cmp.provider.SuperProvider;
import com.bocloud.common.model.BocloudResult;

/**
 * k8s DaemonSet
 *
 * @时间 2019年8月21日
 */
public interface DaemonSetProvider extends SuperProvider {
    public BocloudResult list();

    public BocloudResult create(DaemonSetModel model);

    public BocloudResult remove(DaemonSetModel model);

    public BocloudResult detail(DaemonSetModel model);

    public BocloudResult modify(DaemonSetModel model);
}
